package de.gilles.projects.switchyard;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(HelloService.class)
public class HelloServiceBean implements HelloService {
	
	@Inject @Reference
	private CamelService camelService;

	@Override
	public void sayHello(String name) {
		camelService.makeCamelCall(name);
	}
	
	@Override
	public void printMessage(String message) {
		System.out.println("Switchyard Message: " + message + " :-)");
	}	

}
